# Uses of Class
java.rmi.dgc.Lease

Packages that use Lease
Package
Description
java.rmi.dgc
Provides classes and interface for RMI distributed garbage-collection (DGC).

## Uses of Lease in java.rmi.dgc

Methods in java.rmi.dgc that return Lease
Modifier and Type
Method
Description
`Lease`
DGC.`dirty​(ObjID[] ids, long sequenceNum, Lease lease)`
The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'.
Methods in java.rmi.dgc with parameters of type Lease
Modifier and Type
Method
Description
`Lease`
DGC.`dirty​(ObjID[] ids, long sequenceNum, Lease lease)`
The dirty call requests leases for the remote object references associated with the object identifiers contained in the array 'ids'.